## org.eclipse.datatools.modelbase.sql.xml.query.impl
Class XMLSerializeFunctionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionAtomicImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionFunctionImpl
                              org.eclipse.datatools.modelbase.sql.xml.query.impl.XMLSerializeFunctionImpl

All Implemented Interfaces:
  QueryValueExpression, SQLObject, SQLQueryObject, ValueExpression, ValueExpressionAtomic, ValueExpressionFunction, XMLSerializeFunction

public class XMLSerializeFunctionImpl
extends ValueExpressionFunctionImpl
implements XMLSerializeFunction

An implementation of the model object 'XML Serialize Function'.

The following features are implemented:

- `Content Option`
- `Serialize Version`
- `Declaration Option`
- `Serialize Target`
- `Serialize Encoding`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `basicSetSerializeEncoding(XMLSerializeFunctionEncoding newSerializeEncoding, NotificationChain msgs)`
`NotificationChain` `basicSetSerializeTarget(XMLSerializeFunctionTarget newSerializeTarget, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`XMLContentType` `getContentOption()`
`XMLDeclarationType` `getDeclarationOption()`
`XMLSerializeFunctionEncoding` `getSerializeEncoding()`
`XMLSerializeFunctionTarget` `getSerializeTarget()`
`java.lang.String` `getSerializeVersion()`
`void` `setContentOption(XMLContentType newContentOption)`
`void` `setDeclarationOption(XMLDeclarationType newDeclarationOption)`
`void` `setSerializeEncoding(XMLSerializeFunctionEncoding newSerializeEncoding)`
`void` `setSerializeTarget(XMLSerializeFunctionTarget newSerializeTarget)`
`void` `setSerializeVersion(java.lang.String newSerializeVersion)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.ValueExpressionFunctionImpl
`basicGetFunction, getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryValueExpressionImpl

`basicSetDataType, getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getSQL, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setSQL, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, setSourceInfo`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.ValueExpressionFunction
`getFunction, getParameterList, isColumnFunction, isDistinct, isSpecialRegister, setColumnFunction, setDistinct, setFunction, setSpecialRegister`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryValueExpression

`getBasicLeft, getBasicRight, getBetweenLeft, getBetweenRight1, getBetweenRight2, getDataType, getGroupingExpr, getInValueListLeft, getInValueListRight, getInValueRowSelectLeft, getInValueSelectLeft, getLikeEscape, getLikeMatching, getLikePattern, getNest, getOrderByValueExpr, getPredicateNull, getQuantifiedRowSelectLeft, getQuantifiedValueSelectLeft, getResultColumn, getUnaryOperator, getUpdateSourceExprList, getValueExprCaseElse, getValueExprCaseSearchContent, getValueExprCaseSimple, getValueExprCaseSimpleContentResult, getValueExprCaseSimpleContentWhen, getValueExprCast, getValueExprCombinedLeft, getValueExprCombinedRight, getValueExprFunction, getValueExprLabeledDuration, getValuesRow, setBasicLeft, setBasicRight, setBetweenLeft, setBetweenRight1, setBetweenRight2, setDataType, setGroupingExpr, setInValueListLeft, setInValueListRight, setInValueRowSelectLeft, setInValueSelectLeft, setLikeEscape, setLikeMatching, setLikePattern, setNest, setOrderByValueExpr, setPredicateNull, setQuantifiedRowSelectLeft, setQuantifiedValueSelectLeft, setResultColumn, setUnaryOperator, setUpdateSourceExprList, setValueExprCaseElse, setValueExprCaseSearchContent, setValueExprCaseSimple, setValueExprCaseSimpleContentResult, setValueExprCaseSimpleContentWhen, setValueExprCast, setValueExprCombinedLeft, setValueExprCombinedRight, setValueExprFunction, setValueExprLabeledDuration, setValuesRow`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.ValueExpression
`getSQL, setSQL`

Method Detail

### getContentOption

    public XMLContentType getContentOption()

  Specified by:
    `getContentOption` in interface `XMLSerializeFunction`
  Returns:
    the value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `XMLSerializeFunction.setContentOption(XMLContentType)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_ContentOption()`

### setContentOption

    public void setContentOption(XMLContentType newContentOption)

  Specified by:
    `setContentOption` in interface `XMLSerializeFunction`
  Parameters:
    `newContentOption` - the new value of the 'Content Option' attribute.
  See Also:
    `XMLContentType`, `XMLSerializeFunction.getContentOption()`

### getSerializeVersion

    public java.lang.String getSerializeVersion()

  Specified by:
    `getSerializeVersion` in interface `XMLSerializeFunction`
  Returns:
    the value of the 'Serialize Version' attribute.
  See Also:
    `XMLSerializeFunction.setSerializeVersion(String)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeVersion()`

### setSerializeVersion

    public void setSerializeVersion(java.lang.String newSerializeVersion)

  Specified by:
    `setSerializeVersion` in interface `XMLSerializeFunction`
  Parameters:
    `newSerializeVersion` - the new value of the 'Serialize Version' attribute.
  See Also:
    `XMLSerializeFunction.getSerializeVersion()`

### getDeclarationOption

    public XMLDeclarationType getDeclarationOption()

  Specified by:
    `getDeclarationOption` in interface `XMLSerializeFunction`
  Returns:
    the value of the 'Declaration Option' attribute.
  See Also:
    `XMLDeclarationType`, `XMLSerializeFunction.setDeclarationOption(XMLDeclarationType)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_DeclarationOption()`

### setDeclarationOption

    public void setDeclarationOption(XMLDeclarationType newDeclarationOption)

  Specified by:
    `setDeclarationOption` in interface `XMLSerializeFunction`
  Parameters:
    `newDeclarationOption` - the new value of the 'Declaration Option' attribute.
  See Also:
    `XMLDeclarationType`, `XMLSerializeFunction.getDeclarationOption()`

### getSerializeTarget

    public XMLSerializeFunctionTarget getSerializeTarget()

  Specified by:
    `getSerializeTarget` in interface `XMLSerializeFunction`
  Returns:
    the value of the 'Serialize Target' containment reference.
  See Also:
    `XMLSerializeFunction.setSerializeTarget(XMLSerializeFunctionTarget)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeTarget()`, `XMLSerializeFunctionTarget.getSerializeFunction()`

### basicSetSerializeTarget

    public NotificationChain basicSetSerializeTarget(XMLSerializeFunctionTarget newSerializeTarget,
                                                     NotificationChain msgs)

### setSerializeTarget

    public void setSerializeTarget(XMLSerializeFunctionTarget newSerializeTarget)

  Specified by:
    `setSerializeTarget` in interface `XMLSerializeFunction`
  Parameters:
    `newSerializeTarget` - the new value of the 'Serialize Target' containment reference.
  See Also:
    `XMLSerializeFunction.getSerializeTarget()`

### getSerializeEncoding

    public XMLSerializeFunctionEncoding getSerializeEncoding()

  Specified by:
    `getSerializeEncoding` in interface `XMLSerializeFunction`
  Returns:
    the value of the 'Serialize Encoding' containment reference.
  See Also:
    `XMLSerializeFunction.setSerializeEncoding(XMLSerializeFunctionEncoding)`, `SQLXMLQueryModelPackage.getXMLSerializeFunction_SerializeEncoding()`

### basicSetSerializeEncoding

    public NotificationChain basicSetSerializeEncoding(XMLSerializeFunctionEncoding newSerializeEncoding,
                                                       NotificationChain msgs)

### setSerializeEncoding

    public void setSerializeEncoding(XMLSerializeFunctionEncoding newSerializeEncoding)

  Specified by:
    `setSerializeEncoding` in interface `XMLSerializeFunction`
  Parameters:
    `newSerializeEncoding` - the new value of the 'Serialize Encoding' containment reference.
  See Also:
    `XMLSerializeFunction.getSerializeEncoding()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `ValueExpressionFunctionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ValueExpressionFunctionImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `ValueExpressionFunctionImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `ValueExpressionFunctionImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ValueExpressionFunctionImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `ValueExpressionFunctionImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `ValueExpressionFunctionImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `ValueExpressionFunctionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.